# sf::Socket Namespace Reference

## Enumerations

enum | Status { Done, NotReady, Disconnected, Error }
| Enumeration of status returned by socket functions. More...

## Enumeration Type Documentation

enum sf::Socket::Status

Enumeration of status returned by socket functions.

Enumerator:

  Done | The socket has sent / received the data.
  NotReady | The socket is not ready to send / receive data yet.
  Disconnected | The TCP socket has been disconnected.
  Error | An unexpected error happened.

Definition at line 41 of file SocketHelper.hpp.